Subject: Re: bug#21188: Preview installed from the package manager changes LaTeX-mode-hook

From: Mosè Giordano <[email-masked]>
Date: Sun, 9 Aug 2015 15:08:27 +0200

Hi Arash,

2015-08-09 14:28 GMT+02:00 Arash Esbati <[email-masked]>:
> Tassilo Horn <[email-masked]> writes:
>
> Hi Tassilo,
>
>> I've just released GNU AUCTeX 11.88.7 on ELPA, and the problem should be
>> fixed now.  Please test and report back if if works now.
>
> I've installed the latest version from git with your patch and get the
> following when I open a tex file:
>
>     (void-function LaTeX-preview-setup)
>
> Recipe:
>
> 1)  Start emacs with
>     emacs --eval '(setq debug-on-error t)' -Q &
>
> 2)  Eval in scratch buffer
>     (load "auctex.el" nil t t)
>
> 3)  Open a tex file and emacs says:
>
> --8<---------------cut here---------------start------------->8---
> Debugger entered--Lisp error: (void-function LaTeX-preview-setup)
>   LaTeX-preview-setup()
>   TeX-latex-mode()
>   apply(TeX-latex-mode nil)
>   latex-mode()
>   set-auto-mode-0(latex-mode nil)
>   set-auto-mode()
>   normal-mode(t)
>   after-find-file(nil t)
>   find-file-noselect-1(#<buffer temp.tex> "~/Latex/temp.tex" nil nil "~/Latex/temp.tex" (281474976722716 2925265949))
>   find-file-noselect("~/Latex/temp.tex" nil nil t)
>   find-file("~/Latex/temp.tex" t)
>   call-interactively(find-file nil nil)
>   command-execute(find-file)
> --8<---------------cut here---------------end--------------->8---

I can't reproduce the error with Emacs 24.5 and git AUCTeX.  Which
version of Emacs are you running?

Tassilo, the only point of your commit I don't understand is: what
happens when `declare-function' is not bound?

Bye,
Mosè